GrailsAwareInjectionOperation (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class GrailsAwareInjectionOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation
          org.codehaus.groovy.grails.compiler.injection.GrailsAwareInjectionOperation

    public class GrailsAwareInjectionOperation
    extends org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation

A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

Authors:
  Graeme Rocher

Since:
  0.6

Constructor Summary
`GrailsAwareInjectionOperation()`
`GrailsAwareInjectionOperation(ClassInjector[] classInjectors)`
`GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader, ClassInjector[] classInjectors)` @deprecated Custom resource loader no longer supported

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`static ClassInjector[]` | `getClassInjectors()`
`ClassInjector[]` | `getLocalClassInjectors()`

Methods inherited from class org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation
org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#call(org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#needSortedInput(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long, int), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#toString(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#hashCode(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#getClass(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notify(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsAwareInjectionOperation

    public GrailsAwareInjectionOperation()

### GrailsAwareInjectionOperation

    public GrailsAwareInjectionOperation(ClassInjector[] classInjectors)

### GrailsAwareInjectionOperation

    @java.lang.Deprecated
    public GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader, ClassInjector[] classInjectors)

  deprecated:
    Custom resource loader no longer supported

Method Detail

### call

    @java.lang.Overridefinal String filename = source.getName();
    public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### getClassInjectors

    public static ClassInjector[] getClassInjectors()

### getLocalClassInjectors

    public ClassInjector[] getLocalClassInjectors()

Groovy Documentation